Package org.eclipse.graphiti.datatypes

# Interface IAdvancedLocation

All Superinterfaces:
  `ILocation`

All Known Implementing Classes:
  `LocationImpl`

public interface IAdvancedLocation extends ILocation
The Interface IAdvancedLocation. It provides additional methods for the location data type.

## Method Summary

Modifier and Type
Method
Description
`ILocation`
`getLocationCopy()`
`void`
`scale(double amount)`
Changes the current location.
`ILocation`
`setLocation(int x, int y)`
Sets the location.
`ILocation`
`setLocation(ILocation location)`
Sets the location.
`ILocation`
`translate(int dx, int dy)`
Translates the current location.

### Methods inherited from interface org.eclipse.graphiti.datatypes.ILocation

`getX, getY, setX, setY`

## Method Details

### getLocationCopy

ILocation getLocationCopy()

Returns:
  An exact copy of the current advanced location instance.

### setLocation

ILocation setLocation(int x, int y)
Sets the location.

Parameters:
  `x` - the new x coordinate of the location
  `y` - the new y coordinate of the location
Returns:
  the current instance

### setLocation

ILocation setLocation(ILocation location)
Sets the location.

Parameters:
  `location` - the location which contains the new x and y coordinates
Returns:
  the current instance

### scale

void scale(double amount)
Changes the current location.

Parameters:
  `amount` - x and y coordinate of the location will be multiplied with this amount

### translate

ILocation translate(int dx, int dy)
Translates the current location.

Parameters:
  `dx` - this value will be added to the x coordinate
  `dy` - this value will be added to the y coordinate
Returns:
  the current instance